Debian Bug report logs - #722274
ITP: ruby-base62 -- Integer#base62_encode instance method to encode an integer

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Bechtold <t.bechtold@telekom.de>

Date: Mon, 9 Sep 2013 16:27:02 UTC

Owned by: Thomas Bechtold <t.bechtold@telekom.de>

Severity: wishlist

Fixed in version ruby-base62/0.1.4-1

Done: Thomas Bechtold <t.bechtold@telekom.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#722274; Package wnpp. (Mon, 09 Sep 2013 16:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Bechtold <t.bechtold@telekom.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 09 Sep 2013 16:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Bechtold <t.bechtold@telekom.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-base62 -- Integer#base62_encode instance method to encode an integer
Date: Mon, 09 Sep 2013 18:25:47 +0200
Package: wnpp
Severity: wishlist
Owner: Thomas Bechtold <t.bechtold@telekom.de>

* Package name    : ruby-base62
  Version         : 0.1.4
  Upstream Author : JT Zemp, Saadiq Rodgers-King, Derrick Camerino
* URL             : http://rubygems.org/gems/base62
* License         : MIT
  Programming Lang: Ruby
  Description     : Integer#base62_encode instance method to encode an integer

Base62 monkeypatches Integer to add an Integer#base62_encode instance method to encode an integer in the character set of 0-9 + A-Z + a-z. It also monkeypatches String to add String#base62_decode to take the string and turn it back into a valid integer.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 12 Sep 2013 08:06:05 GMT) Full text and rfc822 format available.

Reply sent to Thomas Bechtold <t.bechtold@telekom.de>:
You have taken responsibility. (Fri, 13 Sep 2013 16:03:37 GMT) Full text and rfc822 format available.

Notification sent to Thomas Bechtold <t.bechtold@telekom.de>:
Bug acknowledged by developer. (Fri, 13 Sep 2013 16:03:37 GMT) Full text and rfc822 format available.

Message #12 received at 722274-close@bugs.debian.org (full text, mbox):

From: Thomas Bechtold <t.bechtold@telekom.de>
To: 722274-close@bugs.debian.org
Subject: Bug#722274: fixed in ruby-base62 0.1.4-1
Date: Fri, 13 Sep 2013 16:00:08 +0000
Source: ruby-base62
Source-Version: 0.1.4-1

We believe that the bug you reported is fixed in the latest version of
ruby-base62, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 722274@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Bechtold <t.bechtold@telekom.de> (supplier of updated ruby-base62 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 10 Sep 2013 10:27:59 +0200
Source: ruby-base62
Binary: ruby-base62
Architecture: source all
Version: 0.1.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Thomas Bechtold <t.bechtold@telekom.de>
Description: 
 ruby-base62 - base62 encoding and decoding library for Ruby
Closes: 722274
Changes: 
 ruby-base62 (0.1.4-1) unstable; urgency=low
 .
   * Initial release (Closes: #722274)
Checksums-Sha1: 
 2b14061c95042cb7939e5ff15f91f71cfa3ec4d6 2027 ruby-base62_0.1.4-1.dsc
 a5a5684105bbe408e2285b8eec5c993ccd236026 2879 ruby-base62_0.1.4.orig.tar.gz
 52e3f6472df249509818e487a708ace780ed3eb7 2133 ruby-base62_0.1.4-1.debian.tar.gz
 04b4a69efe5f91221c7970d1a7ea14a3bf0973a4 4156 ruby-base62_0.1.4-1_all.deb
Checksums-Sha256: 
 ab8709ee7b131def10e0e81c761c72d9e65efa65a41a5429b7be6147488f7d17 2027 ruby-base62_0.1.4-1.dsc
 9fa354ef89ad7d265c60bce957638283242e100b05a3ae069360484dfe546bc1 2879 ruby-base62_0.1.4.orig.tar.gz
 d861e792f438fea9cd30c38f2efb88594e61707785c91c994a5c84884c5083d7 2133 ruby-base62_0.1.4-1.debian.tar.gz
 ccf14bfecc69e1491c8dbbaa351006e96b36185d5979c0c86936bb6493778951 4156 ruby-base62_0.1.4-1_all.deb
Files: 
 c56a1005f9af19cc8b74e0d4dc266d19 2027 ruby optional ruby-base62_0.1.4-1.dsc
 04f542c1d68afa05b5e98837158e6f8f 2879 ruby optional ruby-base62_0.1.4.orig.tar.gz
 d23886826c816e967a6722f89f76c145 2133 ruby optional ruby-base62_0.1.4-1.debian.tar.gz
 a7fbdb16c202968fa2fd9a5fdd9f16f2 4156 ruby optional ruby-base62_0.1.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBCAAGBQJSMNW5AAoJEKkHZFuPn48JMYoQAIl7scwHqeOSgiHPxS45T1rE
grdocOV3/yai/mCdjJt38kGnUP0OP+mvoLR92Hk/niQax9XKyklw9Z8miRUHdju4
w6ND5F7XXyf62G+oYM83oi+PaGNRhWvDJHd6wWfEgdc5Cl+8jb5hpIW2ZSIZwOI9
Qu4zmdylra2H/QczT4yRCEKZTXE5Y9lPYi+iADJ6z7SmwQ6zi1pa2ZDp26/GxCbS
p43+65jj/7q7ljvvo0gwdcUEHS8UT/ZmflQUaZ5hRTGUN2K+lVnAUTIhIZ+88W9/
IQoji+iHWHcV2++Uqmyf9UdCN990W/LN5hbYgjXw2gqUWv/93YtNEXAzaH3KtKRa
3XSd1hi1MZl8wK3ZXW6/SnAUYUewUp87z0ZeGXKe+bd+c0loOpV68Phi1I5ABGMY
iuQrGGPxncbR2l7I0FLhkqHkmSwRRQbotBm+Fs+Wnvh9YvcUYzP+UY9hHZThRptr
/SGBaAwfPzPAIcZRtIq7UqlEfMOa/CLMsZ0QkIgmY3WQiirWjFq9c3GcJl+DfbTN
+PE8E7aIFIN8IKgKQSLL3z1yx/Y5mADNh201i1Nhkg86cV04PyrozzIOk/IwvNAg
Wh6GTRI87tr7rsamWkU5CVqgzmbgypCxx47ZysjLUb681FB7lx+pryIHTc20TLEu
FHcLTcgFOQQZ4HVKnwIa
=cAPV
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Oct 2013 07:28:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:58:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.